Bug 1493679 - can't get token from https://api.free-int.openshift.com/oauth/token/request
Summary: can't get token from https://api.free-int.openshift.com/oauth/token/request
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: apiserver-auth
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.7.0
Assignee: Mo
QA Contact: Chuan Yu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-20 17:13 UTC by Peter Ruan
Modified: 2017-11-28 22:12 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-28 22:12:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 0 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Description Peter Ruan 2017-09-20 17:13:05 UTC
Description of problem:

trying to get a token from https://api.free-int.openshift.com/oauth/token/request but getting the error, 'Error getting token: The client is not authorized to request a token using this method.'  I was able to get a token a couple of days ago using the same url and I can still log into the web GUI. 

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. log into free-int via web https://console.free-int.openshift.com/console/
2. request a token from https://api.free-int.openshift.com/oauth/token/request   using your redhat account 
3.

Actual results:
Error getting token: The client is not authorized to request a token using this method. 


Expected results:
get a valid token.

Additional info:

Comment 1 Mo 2017-09-20 22:31:17 UTC
That cluster is running 3.7.0-0.125.0

The fix for this is in 3.7.0-0.126.0 and v3.7.0-0.126.1

Comment 4 Wang Haoran 2017-09-30 02:08:37 UTC
it works well now on the free int, move to verified.

Comment 8 errata-xmlrpc 2017-11-28 22:12:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188


Note You need to log in before you can comment on or make changes to this bug.